<!--
 - Created by damian.brzezinski_en on 12.08.2023.
 -->

<!-- Ls Products Catalog -->
<template>
    <div>
        <lightning-card>
            <div class="body-min-height">
                <template if:true={isLoading}>
                    <lightning-spinner alternative-text='Loading'></lightning-spinner>
                </template>
                <template if:false={isLoading}>
                    <div class="slds-grid slds-wrap">
                        <template for:each={products} for:item="item">
                            <div class="slds-col slds-size_1-of-1" key={item.Id}>
                                <c-ls-product-item record={item}></c-ls-product-item>
                            </div>
                        </template>
                    </div>
                </template>
                <div class="slds-grid slds-grid_align-center">
                    <div class="slds-col slds-large-size_2-of-8">
                        <lightning-input class="slds-m-left_small" style="max-width: 50px" type="number"
                                         max-length="3" variant="label-hidden"
                                         value={numberOfRecordsToGet} onchange={handleNumberOfProductChange}></lightning-input>
                    </div>
                    <div class="slds-col slds-large-size_1-of-8 slds-align_absolute-center">
                        <lightning-button label="<" onclick={prevPage}></lightning-button>
                    </div>
                    <div class="slds-col slds-large-size_1-of-8 slds-align_absolute-center">
                        <lightning-formatted-number value={actualPage}></lightning-formatted-number>
                        /
                        <lightning-formatted-number value={lastPage}></lightning-formatted-number>
                    </div>
                    <div class="slds-col slds-large-size_1-of-8 slds-align_absolute-center">
                        <lightning-button label=">" onclick={nextPage}></lightning-button>
                    </div>
                    <div class="slds-col slds-large-size_2-of-8"></div>
                </div>
            </div>
        </lightning-card>
    </div>
</template>